View Issue Details

IDProjectCategoryView StatusLast Update
0000027SymmetricDSNew Featurepublic2016-05-16 18:00
ReporterAssigned Tochenson  
Prioritynormal 
Status resolvedResolutionfixed 
Summary0000027: Provide feature to validate that data is in sync
DescriptionWe talked about adding a table validation feature, but didn't get around to it for the first release. The idea was to post a 'V' event in the sym_data table. When processing events, the extractor would run a checksum over the table and put it into the transport protocol payload. When the data loader received the checksum, the client database should be in the exact same state and the checksum should match. We could go so far as to reload the table if we do not get a match ...
TagsNo tags attached.

Relationships

has duplicate 0000174 closedelong Node synchronization verification 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 d9365051

2016-05-15 13:54:48

abrougher

Details Diff
Fixed 0000027: SqlScriptReader is parsing string literals from comments. Affected Issues
0000027
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlScriptReader.java Diff File
mod - symmetric-db/src/test/resources/test-script-1.sql Diff File

SymmetricDS: 3.8 b365ce2a

2016-05-15 13:54:48

abrougher


Committer: chenson Details Diff
Fixed 0000027: SqlScriptReader is parsing string literals from comments. Affected Issues
0000027
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/SqlScriptReader.java Diff File
mod - symmetric-db/src/test/resources/test-script-1.sql Diff File

Issue History

Date Modified Username Field Change
2014-02-04 15:14 elong Priority high => normal
2014-02-04 15:14 elong Severity minor => feature
2014-02-04 15:44 elong Relationship added has duplicate 0000174
2014-03-03 15:35 chenson Assigned To => elong
2014-03-03 15:35 chenson Status new => assigned
2014-03-03 15:35 chenson Target Version => 3.6.0
2014-04-18 17:06 chenson Assigned To elong =>
2014-04-18 17:06 chenson Target Version 3.6.0 => 3.7.0
2014-12-04 15:53 chenson Product Version 1.5.1 =>
2014-12-04 15:53 chenson Target Version 3.7.0 =>
2016-05-15 18:00 abrougher Changeset attached => SymmetricDS 3.7 d9365051
2016-05-15 18:00 abrougher Assigned To => abrougher
2016-05-15 18:00 abrougher Status assigned => resolved
2016-05-15 18:00 abrougher Resolution open => fixed
2016-05-16 14:25 admin Assigned To abrougher =>
2016-05-16 14:25 admin Resolution fixed => open
2016-05-16 14:25 admin Status resolved => new
2016-05-16 18:00 chenson Changeset attached => SymmetricDS 3.8 b365ce2a
2016-05-16 18:00 chenson Assigned To => chenson
2016-05-16 18:00 chenson Status new => resolved
2016-05-16 18:00 chenson Resolution open => fixed